Bug 240221 - kernel-xen does not boot (Kai's new i386 box)
kernel-xen does not boot (Kai's new i386 box)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 15:50 EDT by Kai Engert (:kaie)
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-xen-2.6.20-2925.8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 12:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cat /proc/cpuinfo (1.15 KB, text/plain)
2007-05-15 15:52 EDT, Kai Engert (:kaie)
no flags Details
lspci -n and lspci (2.62 KB, text/plain)
2007-05-15 15:53 EDT, Kai Engert (:kaie)
no flags Details
plain kernel, not irqpoll, broken (19.11 KB, text/plain)
2007-05-15 15:55 EDT, Kai Engert (:kaie)
no flags Details
plain kernel, boots up ok with irqpoll (20.27 KB, text/plain)
2007-05-15 15:56 EDT, Kai Engert (:kaie)
no flags Details
xen kernel, not irqpoll, broken (23.91 KB, text/plain)
2007-05-15 15:57 EDT, Kai Engert (:kaie)
no flags Details
xen kernel, using irqpoll, but still fails (27.62 KB, text/plain)
2007-05-15 15:58 EDT, Kai Engert (:kaie)
no flags Details

  None (edit)
Description Kai Engert (:kaie) 2007-05-15 15:50:22 EDT
Please note, to avoid confusion.
I have two i386 boxes that I try to run xen on.
An old box which doesn't work, see bug 239512.
In the hope to get a working environment I today bought a shiny new box, but on
this machine I fail much earlier.

This bug is about my new box, which has a mainboard with Intel P965 chipset and
and a Core 2 Duo processor.


Description of problem:
kernel-xen does not boot up. I get failures and timeouts around sata.


Version-Release number of selected component (if applicable):
kernel-xen-2.6.20-2925.5.fc7
(kernel-2.6.20-1.3104.fc7)

  
Actual results:
does not boot, error messages, eventually panics


Additional info:
I will attach logfiles from the serial console
Comment 1 Kai Engert (:kaie) 2007-05-15 15:52:26 EDT
Created attachment 154769 [details]
cat /proc/cpuinfo
Comment 2 Kai Engert (:kaie) 2007-05-15 15:53:18 EDT
Created attachment 154770 [details]
lspci -n  and  lspci
Comment 3 Kai Engert (:kaie) 2007-05-15 15:55:17 EDT
Created attachment 154771 [details]
plain kernel, not irqpoll, broken

This is an attempt to boot the standard kernel (not xen).
It fails to boot up.
Comment 4 Kai Engert (:kaie) 2007-05-15 15:56:29 EDT
Created attachment 154772 [details]
plain kernel, boots up ok with irqpoll

Using irqpoll kernel boot option I was able to boot up the plain kernel
successfully.
However, I really want to use xen on this machine, see next attachments.
Comment 5 Kai Engert (:kaie) 2007-05-15 15:57:31 EDT
Created attachment 154773 [details]
xen kernel, not irqpoll, broken

This is an attempt to boot up the xen kernel with default boot options.
Not using irqpoll.
Fails to boot.
Comment 6 Kai Engert (:kaie) 2007-05-15 15:58:45 EDT
Created attachment 154774 [details]
xen kernel, using irqpoll, but still fails

This is an attempt to boot up the xen kernel.
In grub, I added the irqpoll option to both the "kernel" line and the "vmlinuz"
line.
Fails to boot.
Comment 7 Kai Engert (:kaie) 2007-05-15 16:59:44 EDT
Wow.

kernel-xen-2.6.20-2925.8.fc7

using option "irqpoll" on both kernel and vmlinuz line.

Boots up!!!
Comment 8 Richard W.M. Jones 2007-05-15 17:08:05 EDT
I notice that the kernel & HV you are using are a little old.

Did you try the up2date kernel (should be kernel-xen-2.6.20-2925.8.fc7 and
xen-3.1.0-0.rc7.1.fc7)?  This is based on Xen 3.1.0 whereas you are using the
previous release of Xen (3.0.4).
Comment 9 Kai Engert (:kaie) 2007-05-16 12:53:59 EDT
I think I should close this bug as WORKSFORME.

Richard, 10 minutes before your comment I reported that it's working.

So only the very latest bleeding edge kernel-xen works on my box, but hey, it works.

I was able to install both para and fully virt clients, FC4 and RHEL 3.

Good work.

Note You need to log in before you can comment on or make changes to this bug.